From 3d0da5ba7914b69c0641bb8f6a85f2153613de8b Mon Sep 17 00:00:00 2001
From: Adam C Scott <adam.c.scott@gmail.com>
Date: Sun, 13 Sep 2015 09:07:25 -0600
Subject: [PATCH] Adds new field in frmMain statusbar used to display current
 connection name and database for currently selected object in tree control.

---
 pgadmin/frm/frmMain.cpp | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

diff --git a/pgadmin/frm/frmMain.cpp b/pgadmin/frm/frmMain.cpp
index 12a9e1e..b80e682 100644
--- a/pgadmin/frm/frmMain.cpp
+++ b/pgadmin/frm/frmMain.cpp
@@ -492,13 +492,13 @@ void frmMain::CreateMenus()
 	treeContextMenu = 0;
 
 	// Status bar
-	statusBar = CreateStatusBar(3);
-	int iWidths[3] = {0, -1, 100};
-	SetStatusWidths(3, iWidths);
+	statusBar = CreateStatusBar(4);
+	int iWidths[4] = {0, -1, 400, 100};
+	SetStatusWidths(4, iWidths);
 	SetStatusBarPane(-1);
 	statusBar->SetStatusText(wxT(""), 0);
 	statusBar->SetStatusText(_("Ready."), 1);
-	statusBar->SetStatusText(_("0 Secs"), 2);
+	statusBar->SetStatusText(_("0 Secs"), 3);
 
 	wxAcceleratorEntry entries[4];
 	entries[0].Set(wxACCEL_NORMAL, WXK_F5, refFact->GetId());
@@ -1307,7 +1307,18 @@ void frmMain::EndMsg(bool done)
 		float timeval = stopwatch.Time();
 		wxString time;
 		time.Printf(_("%.2f secs"), (timeval / 1000));
-		statusBar->SetStatusText(time, 2);
+		statusBar->SetStatusText(time, 3);
+
+		wxString connection;
+		if (currentObject)
+		{
+			pgDatabase *db = currentObject->GetDatabase();
+	   
+			if (db)
+				connection = db->GetServer()->GetDisplayName() + wxT(":") + db->GetDisplayName();
+		}
+
+		statusBar->SetStatusText(connection,2);
 
 		// Display the 'Done' message
 		if (done)
-- 
2.5.2.windows.1

